MKDOSFS(8)

NAME
mkdosfs - create an MS-DOS file system under Linux

SYNOPSIS
mkdosfs [ -c | -l filename ] [ -f number-of-FATs ] [ -r root-dir-entries ] [ -s sectors-per-cluster ] [ -v ] device [ blocks-count ]

DESCRIPTION
mkdosfs is used to create an MS-DOS file system under Linux on a device (usually a disk partition). device is the special file corresponding to the device (e.g /dev/hdXX). blocks-count is the number of blocks on the device. If omitted, mkdosfs automatically determiness the file system size.

OPTIONS

-b block-size
    Specify the size of blocks in bytes.

-c  Check the device for bad blocks before creating the file system.

-f number-of-FATs
    Specify the size of file allocation tables in the file system. The default is 2. Currently the Linux MS-DOS file system does not support more than 2 FATs.

-l filename
    Read the bad blocks list from filename

-r root-dir-entries
    Select the number of entries available in the root directory

-s sectors-per-cluster
    Specify the number of disk sectors per cluster. Must be a power of 2, ie. 1, 2, 4, 8, ...

-v  Verbose execution.

BUGS
None are know at the moment. If you find any, please report it them the author.

AUTHOR
Dave Hudson - <dave@humbug.demon.co.uk>

ACKNOWLEDGEMENTS
mkdosfs is based on code from mke2fs (written by Remy Card - <card@masi.ibp.fr>) which is itself based on mkfs (written by Linus Torvalds - <torvalds@cs.helsinki.fi>).

SEE ALSO
dosfsck(8), mkfs(8)